> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get real-time pipeline status for a transformation model

> Returns the current status of a dbt transformation model based on the last dbt run result and the last connector sync timestamp.

Status values:
- **updated**: dbt ran successfully after the last connector sync
- **pending**: connector synced but dbt has not run yet (or ran before the last sync)
- **error**: the last dbt run for this model failed
- **no_data**: the source connectors have never synced raw data



## OpenAPI

````yaml /api-reference/catalog-api.json get /transformations/{name}/status
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /transformations/{name}/status:
    get:
      tags:
        - transformations
      summary: Get real-time pipeline status for a transformation model
      description: >-
        Returns the current status of a dbt transformation model based on the
        last dbt run result and the last connector sync timestamp.


        Status values:

        - **updated**: dbt ran successfully after the last connector sync

        - **pending**: connector synced but dbt has not run yet (or ran before
        the last sync)

        - **error**: the last dbt run for this model failed

        - **no_data**: the source connectors have never synced raw data
      operationId: get_transformation_status_endpoint_transformations__name__status_get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransformationStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TransformationStatus:
      properties:
        status:
          type: string
          title: Status
        last_dbt_run:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Dbt Run
        last_connector_sync:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Connector Sync
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
      type: object
      required:
        - status
      title: TransformationStatus
      description: Real-time pipeline status for a dbt transformation model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````